Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.phonetic_complement
Class PhoneticComplementContext

    java.lang.Object
      org.kemet.impl.grammar.phonetic_complement.PhoneticComplementContext

    public class PhoneticComplementContext

extends java.lang.Object

Since:
  0.2
Author:
  fabricemaupin

  PhoneticComplementContext : fix the strategy about algorithm choice to process phonetic complement from bilitere sequence

Constructor Summary
`PhoneticComplementContext(java.util.HashMap args)` initialize the context for manage the phonetic complement.

Method Summary
`java.lang.String[]` | `process(SequenceFormatManager sfm, int sequenceIndex, java.lang.String[] transliteration, int number, java.util.HashMap ht)` return a transliterated sequence without phonetic complements.
`void` | `setAlgorithm(IEpuratePhoneticComplement algorithm)` fix the algorithm.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhoneticComplementContext

    public PhoneticComplementContext(java.util.HashMap args)

  initialize the context for manage the phonetic complement.

  Parameters:
    `args` - parameters initialized for the grammar manager see DeveloperGuide : "first step : how to configure the KEMET library ?"

Method Detail

### process

    public java.lang.String[] process(SequenceFormatManager sfm,
                                      int sequenceIndex,
                                      java.lang.String[] transliteration,
                                      int number,
                                      java.util.HashMap ht)
                               throws KemetAPIException

  return a transliterated sequence without phonetic complements.

  Parameters:
    `sfm` - sequenceFormatManager instance
    `sequenceIndex` - index of sequence to process
    `transliteration` - transliteration to epurate
    `number` - number of caracters to concatenate (ex : 2 for biliteres)
    `ht` - informations about phonograms
  Returns:
    epurated sequenceList
  Throws:
    `KemetAPIException`
  Since:
    0.2

### setAlgorithm

    public void setAlgorithm(IEpuratePhoneticComplement algorithm)

  fix the algorithm.

  Parameters:
    `algorithm` - algorithm to fix
  Since:
    0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.